View Issue Details

IDProjectCategoryView StatusLast Update
0001752Slicer4Module VolumeRenderingpublic2018-05-27 23:46
ReporterkikinisAssigned Tofinetjul 
PrioritynormalSeveritymajorReproducibilityalways
Status resolvedResolutionfixed 
PlatformAppleOSOS XOS Version10.7.3
Product VersionSlicer 4.0.1 
Target VersionSlicer 4.9.0Fixed in VersionSlicer 4.9.0 
Summary0001752: volume rendering is adaptive, even if the quality control is set to maximum
Description

see attached combination

Tagsvtk-opengl2

Relationships

has duplicate 0001996 resolvedlassoan the vtk gpu raycaster does not render in full quality 

Activities

2012-02-25 11:30

 

finetjul

finetjul

2013-07-23 10:08

administrator   ~0009175

Fixed in r22233

finetjul

finetjul

2013-08-05 09:18

administrator   ~0009382

Odd rendering fixed in r22258

kikinis

kikinis

2013-08-06 06:16

developer   ~0009390

when in adaptive mode and not moving, the quality of the rendering is still poorer then when in maximum quality mode. See attached images.

2013-08-06 06:16

 

Maximum.png (149,735 bytes)
Maximum.png (149,735 bytes)

2013-08-06 06:17

 

Adaptive.png (158,813 bytes)
Adaptive.png (158,813 bytes)
kikinis

kikinis

2014-04-22 10:32

developer   ~0011642

?

kikinis

kikinis

2014-07-22 13:31

developer   ~0012227

??

jcfr

jcfr

2014-09-26 17:35

administrator   ~0012601

Re-targeting this issue ...

@Julien: What do you think of this one ?

lassoan

lassoan

2017-09-26 10:43

developer   ~0015133

revisit this with OpenGL2 backend

lassoan

lassoan

2018-05-27 23:46

developer   ~0015753

This works well with the new OpenGL2 backend. We added a new "Normal" quality option, which is not adaptive but still fast and provides good quality rendering. We also exposed "surface smoothing" option that removes stripe artifacts without excessive oversampling.

Related Changesets

Slicer: 2145-support-for-installing-extension-from-file 511c61ce

2013-07-23 14:07:29

finetjul

Details Diff
ENH: Add support for MaximumQuality voluming rendering

High quality for CPU and GPU volume rendering mappers. Texture mapper
does not have quality control.
Issue 0001752

git-svn-id: http://svn.slicer.org/Slicer4/trunk@22233 3bd1e089-480b-0410-8dfb-8563597acbee
mod - Modules/Loadable/VolumeRendering/MRML/vtkMRMLVolumeRenderingDisplayNode.h Diff File
mod - Modules/Loadable/VolumeRendering/MRMLDM/vtkMRMLVolumeRenderingDisplayableManager.cxx Diff File
mod - Modules/Loadable/VolumeRendering/Resources/UI/qSlicerVolumeRenderingModuleWidget.ui Diff File
mod - Modules/Loadable/VolumeRendering/Widgets/qSlicerVolumeRenderingModuleWidget.cxx Diff File

Slicer: 2145-support-for-installing-extension-from-file b638f5b0

2013-08-05 13:18:09

finetjul

Details Diff
BUG: vtkGPURayCastVolumeMapper does not support image sample distance < 1.

Issue 0001752

git-svn-id: http://svn.slicer.org/Slicer4/trunk@22258 3bd1e089-480b-0410-8dfb-8563597acbee
mod - Modules/Loadable/VolumeRendering/MRMLDM/vtkMRMLVolumeRenderingDisplayableManager.cxx Diff File

Issue History

Date Modified Username Field Change
2012-02-25 11:30 kikinis New Issue
2012-02-25 11:30 kikinis Status new => assigned
2012-02-25 11:30 kikinis Assigned To => finetjul
2012-02-25 11:30 kikinis File Added: Screen Shot 2012-02-25 at 4.28.11 PM.png
2012-08-22 05:56 jcfr Target Version => Slicer 4.3.0
2013-07-23 10:08 finetjul Note Added: 0009175
2013-07-23 10:08 finetjul Status assigned => resolved
2013-07-23 10:08 finetjul Fixed in Version => Slicer 4.3.0
2013-07-23 10:08 finetjul Resolution open => fixed
2013-08-05 09:18 finetjul Note Added: 0009382
2013-08-06 06:16 kikinis Note Added: 0009390
2013-08-06 06:16 kikinis Status resolved => feedback
2013-08-06 06:16 kikinis Resolution fixed => reopened
2013-08-06 06:16 kikinis File Added: Maximum.png
2013-08-06 06:17 kikinis File Added: Adaptive.png
2013-08-09 04:28 finetjul Relationship added has duplicate 0001996
2013-09-03 10:59 jcfr Target Version Slicer 4.3.0 => Slicer 4.3.1
2013-09-03 10:59 jcfr Target Version Slicer 4.3.1 => Slicer 4.4.0
2014-04-22 10:32 kikinis Note Added: 0011642
2014-07-22 13:31 kikinis Note Added: 0012227
2014-09-26 17:34 jcfr Target Version Slicer 4.4.0 => Slicer 4.4.1
2014-09-26 17:35 jcfr Note Added: 0012601
2015-09-09 08:29 jcfr Target Version Slicer 4.4.1 => Slicer 4.5.0-1
2015-11-02 12:02 jcfr Fixed in Version Slicer 4.3.0 =>
2015-11-02 12:02 jcfr Target Version Slicer 4.5.0-1 => Slicer 4.6.0
2016-10-12 03:56 jcfr Target Version Slicer 4.6.0 => Slicer 4.7.0
2017-06-07 23:27 finetjul Changeset attached => Slicer 2145-support-for-installing-extension-from-file b638f5b0
2017-06-07 23:27 finetjul Changeset attached => Slicer 2145-support-for-installing-extension-from-file 511c61ce
2017-09-26 10:43 lassoan Target Version Slicer 4.7.0 => Slicer 4.9.0
2017-09-26 10:43 lassoan Note Added: 0015133
2018-03-02 16:05 jcfr Tag Attached: vtk-opengl2
2018-05-27 23:46 lassoan Status feedback => resolved
2018-05-27 23:46 lassoan Resolution reopened => fixed
2018-05-27 23:46 lassoan Fixed in Version => Slicer 4.9.0
2018-05-27 23:46 lassoan Note Added: 0015753